/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

$contextMenuHoverBackgroundColor: #e5eafb;
$contextMenuFontWeigth: 500;
$contextMenuFontSize: 1.4rem;

.menu-container, .submenu-container {
  z-index: 20;
  min-width: 250px;
  background-color: #fff;
  position: absolute;


  .ant-menu-item-divider{  
    background-color: #cecece !important;
    margin: 9px 18px !important;
    width: 214px !important;
    min-width: 214px !important;
  }

  &.ant-menu-submenu-popup, .ant-menu, .ant-menu-submenu{
    border-radius: 0px !important;
  }

  .ant-menu-light.ant-menu-root.ant-menu-vertical{
    border-inline-end: 0;
    border: solid 1px #fff;
    padding: 2px 0;
  }

  .ant-menu-item,.ant-menu-submenu-title {
    font-weight: 500;
    font-size: 1.4rem;
    padding: 0px 18px 0px 18px;
    border: none;
    outline: none;
    width: 100%;
    text-align: left;
    min-height: 32px;
    line-height: 32px !important;
    position: relative;
  }

  .ant-menu-item-disabled > span:first-child, .ant-menu-submenu-disabled > .ant-menu-submenu-title:hover > span:first-child{
    color: #00000040 !important
  }

  .ant-menu-submenu-title{
    background: none !important;
  }


  .ant-menu-item-active, 
  .ant-menu-submenu-active {
    background-color: #e5eafb !important;
  }

  .ant-menu-item-active > span:first-child,
  .ant-menu-submenu-active > .ant-menu-submenu-title > span:first-child {
    text-decoration: underline;
    color: #000;
  }

  .ant-menu-item:hover > span:first-child,
  .ant-menu-submenu-title:hover > span:first-child {
    color: #000;
  }
  .ant-menu-item-group-title{
    font-weight: 500;
    font-size: 1.4rem;
    padding: 5px 10px;
  }

  .ant-menu-vertical {
    border-inline-end: 0;
    box-shadow: 2px 2px 10px 1px #aaa;
    .ant-menu-item:not(:last-child),
    .ant-menu-submenu:not(:last-child) {
      margin-bottom: 0;
    }

    .ant-menu-item,
    .ant-menu-submenu-title {
      margin: auto;
      margin-inline: 0;
      margin-block: 0 !important;
      height: inherit !important;
      line-height: 32px !important;
      border-radius: 0;
      width: 100%;
    }

    .ant-menu-submenu-title{
      display: flex;
      flex-direction: row;
      justify-content: space-between;
      padding: 0px 18px 0px 18px;

      svg {
        height: inherit ;
        line-height: 32px ;
      }
    }
  }
}
